#
# Conditional build:
%bcond_without	static_libs	# static libraries
%bcond_with	valgrind	# valgrind support in libdrm

Summary:	Userspace interface to kernel DRM services
Summary(pl.UTF-8):	Interfejs przestrzeni użytkownika do usług DRM jądra
Name:		libdrm
Version:	2.4.104
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://dri.freedesktop.org/libdrm/%{name}-%{version}.tar.xz
# Source0-md5:	6b23163def82f540e2b5e2873b1c4b92
URL:		https://dri.freedesktop.org/
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl-nons
%ifarch i386
BuildRequires:	libatomic_ops-devel
%endif
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.43
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
%{?with_valgrind:BuildRequires:	valgrind}
%ifarch %{ix86} %{x8664} x32
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
%endif
BuildRequires:	xz
%ifarch %{ix86} %{x8664} x32
Requires:	xorg-lib-libpciaccess >= 0.10
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Userspace interface to kernel DRM services.

%description -l pl.UTF-8
Interfejs przestrzeni użytkownika do usług DRM jądra.

%package devel
Summary:	Header files for libdrm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdrm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdrm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdrm.

%package static
Summary:	Static libdrm library
Summary(pl.UTF-8):	Statyczna biblioteka libdrm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdrm library.

%description static -l pl.UTF-8
Statyczna biblioteka libdrm.

%prep
%setup -q

%if %{with static_libs}
%{__sed} -i -e '/^lib.* = shared_library/ s/shared_library/library/' \
	meson.build \
	{amdgpu,etnaviv,exynos,freedreno,intel,libkms,nouveau,omap,radeon,tegra}/meson.build
%endif

%build
%meson build \
	%{!?with_valgrind:-Dvalgrind=false} \
%ifarch %{arm} aarch64
	-Detnaviv=true \
	-Dexynos=true \
	-Domap=true \
	-Dtegra=true
%endif

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm.so.2
%attr(755,root,root) %{_libdir}/libdrm_amdgpu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_amdgpu.so.1
%ifarch %{ix86} %{x8664} x32
%attr(755,root,root) %{_libdir}/libdrm_intel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_intel.so.1
%endif
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_nouveau.so.2
%attr(755,root,root) %{_libdir}/libdrm_radeon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_radeon.so.1
%ifarch %{arm} aarch64
%attr(755,root,root) %{_libdir}/libdrm_etnaviv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_etnaviv.so.1
%attr(755,root,root) %{_libdir}/libdrm_exynos.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_exynos.so.1
%attr(755,root,root) %{_libdir}/libdrm_freedreno.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_freedreno.so.1
%attr(755,root,root) %{_libdir}/libdrm_omap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_omap.so.1
%attr(755,root,root) %{_libdir}/libdrm_tegra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_tegra.so.0
%endif
%attr(755,root,root) %{_libdir}/libkms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkms.so.1
%{_datadir}/libdrm

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so
%attr(755,root,root) %{_libdir}/libdrm_amdgpu.so
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so
%attr(755,root,root) %{_libdir}/libdrm_radeon.so
%attr(755,root,root) %{_libdir}/libkms.so
%{_includedir}/libdrm
%{_includedir}/libkms
%{_includedir}/libsync.h
%{_includedir}/xf86drm.h
%{_includedir}/xf86drmMode.h
%{_pkgconfigdir}/libdrm.pc
%{_pkgconfigdir}/libdrm_amdgpu.pc
%{_pkgconfigdir}/libdrm_nouveau.pc
%{_pkgconfigdir}/libdrm_radeon.pc
%{_pkgconfigdir}/libkms.pc
%ifarch %{ix86} %{x8664} x32
%attr(755,root,root) %{_libdir}/libdrm_intel.so
%{_pkgconfigdir}/libdrm_intel.pc
%endif
%ifarch %{arm} aarch64
%attr(755,root,root) %{_libdir}/libdrm_etnaviv.so
%attr(755,root,root) %{_libdir}/libdrm_exynos.so
%attr(755,root,root) %{_libdir}/libdrm_freedreno.so
%attr(755,root,root) %{_libdir}/libdrm_omap.so
%attr(755,root,root) %{_libdir}/libdrm_tegra.so
%{_includedir}/exynos
%{_includedir}/freedreno
%{_includedir}/omap
# already included above
#%{_includedir}/libdrm/etnaviv_drmif.h
#%{_includedir}/libdrm/tegra.h
#%{_includedir}/libdrm/vc4_packet.h
#%{_includedir}/libdrm/vc4_qpu_defines.h
%{_pkgconfigdir}/libdrm_etnaviv.pc
%{_pkgconfigdir}/libdrm_exynos.pc
%{_pkgconfigdir}/libdrm_freedreno.pc
%{_pkgconfigdir}/libdrm_omap.pc
%{_pkgconfigdir}/libdrm_tegra.pc
%{_pkgconfigdir}/libdrm_vc4.pc
%endif
%{_mandir}/man3/drm*.3*
%{_mandir}/man7/drm*.7*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdrm.a
%{_libdir}/libdrm_amdgpu.a
%ifarch %{ix86} %{x8664} x32
%{_libdir}/libdrm_intel.a
%endif
%{_libdir}/libdrm_nouveau.a
%{_libdir}/libdrm_radeon.a
%ifarch %{arm} aarch64
%{_libdir}/libdrm_etnaviv.a
%{_libdir}/libdrm_exynos.a
%{_libdir}/libdrm_freedreno.a
%{_libdir}/libdrm_omap.a
%{_libdir}/libdrm_tegra.a
%endif
%{_libdir}/libkms.a
%endif
%changelog
* Thu Jan 14 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdrm.git;a=log;h=master

* Thu Jan 14 2021 Jan Palus <atler@pld-linux.org> 6b3b059
- up to 2.4.104

* Sun Nov 08 2020 Jan Palus <atler@pld-linux.org> 6abdd9a
- up to 2.4.103

* Sun May 31 2020 Jan Palus <atler@pld-linux.org> 620f062
- up to 2.4.102

* Tue May 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 86ed43c
- disable valgrind by default to avoid libdrm_intel.pc cflags poisoning
  (-I/usr/include/valgrind brings valgrind config.h to compiler scope, breaking some projects using local config.h)
- release 2

* Sat Apr 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 676fad0
- updated to 2.4.101; now uses meson

* Tue Nov 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 733f67c
- updated to 2.4.100

* Sun Jul 21 2019 Jakub Bogusz <qboosh@pld-linux.org> d39b16e
- updated to 2.4.99

* Sun Apr 21 2019 Jakub Bogusz <qboosh@pld-linux.org> c5924be
- updated to 2.4.98

* Fri Mar 22 2019 Jakub Bogusz <qboosh@pld-linux.org> b495c48
- updated to 2.4.97

* Sun Oct 07 2018 Adam Gołębiowski <adamg@pld-linux.org> 63bbb8e
- updated to 2.4.95

* Tue Sep 18 2018 Jakub Bogusz <qboosh@pld-linux.org> f4971e0
- updated to 2.4.94

* Wed Aug 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a56c38
- up to 2.4.93

* Thu May 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 02e9e1a
- up to 2.4.92

* Sat Mar 31 2018 Jakub Bogusz <qboosh@pld-linux.org> d713945
- require libpciaccess only when building with intel

* Thu Mar 22 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 3969256
- Version: 2.4.91

* Wed Feb 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 490dc36
- updated to 2.4.90

* Sun Nov 05 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 20ed7c1
- up to 2.4.88

* Mon Oct 23 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 9405657
- up to 2.4.85

* Tue Oct 17 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 56e90a6
- up to 2.4.84

* Mon Sep 18 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> ca3ab5c
- Version: 2.4.82

